Xerces 3.1.1

## org.apache.html.dom
Class HTMLMetaElementImpl

    java.lang.Object
      |
      +--org.apache.xerces.dom.NodeImpl
            |
            +--org.apache.xerces.dom.ChildNode
                  |
                  +--org.apache.xerces.dom.ChildAndParentNode
                        |
                        +--org.apache.xerces.dom.ElementImpl
                              |
                              +--org.apache.html.dom.HTMLElementImpl
                                    |
                                    +--org.apache.html.dom.HTMLMetaElementImpl

public final class HTMLMetaElementImpl
extends HTMLElementImpl
implements HTMLMetaElement

Version:
  $Revision: 1.2 $ $Date: 2000/02/10 04:00:11 $
See Also:
  `HTMLMetaElement`, `ElementImpl`, Serialized Form

Fields inherited from class org.apache.xerces.dom.ElementImpl
`attributes, name`

Fields inherited from class org.apache.xerces.dom.ChildAndParentNode
`firstChild, nodeListIndex, nodeListLength, nodeListNode, ownerDocument`

Fields inherited from class org.apache.xerces.dom.ChildNode
`nextSibling, previousSibling`

Fields inherited from class org.apache.xerces.dom.NodeImpl
`ELEMENT_DEFINITION_NODE, FIRSTCHILD, flags, IGNORABLEWS, MUTATION_AGGREGATE, MUTATION_ALL, MUTATION_LOCAL, MUTATION_NONE, MUTATIONEVENTS, OWNED, ownerNode, READONLY, SETVALUE, SPECIFIED, SYNCCHILDREN, SYNCDATA`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`HTMLMetaElementImpl(HTMLDocumentImpl owner, java.lang.String name)` Constructor requires owner document.

Method Summary
`java.lang.String` `getContent()` Associated information.
`java.lang.String` `getHttpEquiv()` HTTP response header name.
`java.lang.String` `getName()` Meta information name.
`java.lang.String` `getScheme()` Select form of content.
`void` `setContent(java.lang.String content)`
`void` `setHttpEquiv(java.lang.String httpEquiv)`
`void` `setName(java.lang.String name)`
`void` `setScheme(java.lang.String scheme)`

Methods inherited from class org.apache.html.dom.HTMLElementImpl
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getClassName, getDir, getElementsByTagName, getElementsByTagNameNS, getForm, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from class org.apache.xerces.dom.ElementImpl
`cloneNode, getAttributes, getDefaultAttributes, getNodeName, getNodeType, getTagName, hasAttribute, hasAttributeNS, hasAttributes, normalize, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setReadOnly, setupDefaultAttributes, synchronizeData`

Methods inherited from class org.apache.xerces.dom.ChildAndParentNode
`getChildNodes, getFirstChild, getLastChild, getLength, getOwnerDocument, hasChildNodes, insertBefore, item, removeChild, replaceChild, synchronizeChildren, synchronizeChildren`

Methods inherited from class org.apache.xerces.dom.ChildNode
`getNextSibling, getParentNode, getPreviousSibling`

Methods inherited from class org.apache.xerces.dom.NodeImpl
`addEventListener, appendChild, changed, changes, dispatchEvent, getLocalName, getNamespaceURI, getNodeValue, getPrefix, getReadOnly, getUserData, isSupported, removeEventListener, setNodeValue, setPrefix, setUserData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HTMLMetaElementImpl

    public HTMLMetaElementImpl(HTMLDocumentImpl owner,
                               java.lang.String name)

  Constructor requires owner document.
  Parameters:
    `owner` - The owner HTML document

Method Detail

### getContent

    public java.lang.String getContent()

  Description copied from interface: HTMLMetaElement
  Associated information. See the content attribute definition in HTML 4.0.
  Specified by:
    getContent in interface HTMLMetaElement

### setContent

    public void setContent(java.lang.String content)

  Specified by:
    setContent in interface HTMLMetaElement

### getHttpEquiv

    public java.lang.String getHttpEquiv()

  Description copied from interface: HTMLMetaElement
  HTTP response header name. See the http-equiv attribute definition in HTML 4.0.
  Specified by:
    getHttpEquiv in interface HTMLMetaElement

### setHttpEquiv

    public void setHttpEquiv(java.lang.String httpEquiv)

  Specified by:
    setHttpEquiv in interface HTMLMetaElement

### getName

    public java.lang.String getName()

  Description copied from interface: HTMLMetaElement
  Meta information name. See the name attribute definition in HTML 4.0.
  Specified by:
    getName in interface HTMLMetaElement

### setName

    public void setName(java.lang.String name)

  Specified by:
    setName in interface HTMLMetaElement

### getScheme

    public java.lang.String getScheme()

  Description copied from interface: HTMLMetaElement
  Select form of content. See the scheme attribute definition in HTML 4.0.
  Specified by:
    getScheme in interface HTMLMetaElement

### setScheme

    public void setScheme(java.lang.String scheme)

  Specified by:
    setScheme in interface HTMLMetaElement

Xerces 3.1.1